# Занятие 3. Циклы и массивы.

## Циклы.

**Цикл** - последовательность операторов, которая повторяется.

**Цикл** состоит из: 
- тела цикла, т. е. блока кода, который повторяется, 
- условия, которое проверяется перед очередным повтором цикла.

Однократное выполнение тела цикла называется **итерацией**.

### Ключевые слова **break** и **continue**.

Эти ключевые слова применяются в теле и позволяют изменять логику работы цикла:

- **break** обрывает выполнение цикла в любом месте тела  - программа продолжается после цикла;
- **continue** обрывает выполнение текущей *итерации* и начинает следующую итерацию.

### Цикл **while**

Цикл **while** выполняется, пока условие истинно и прекращает свое выполнение как только условие становится ложно:

```javascript
var password = '';
var rightPassword = 'qwerty';

while (password != rightPassword){ //Пока пароль не равен верному...
	password = prompt('Введите пароль:', ''); //спрашивать пароль
}
```
